import {select, arc} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle').attr('r', height/2)
			.attr('fill', 'yellow')
			.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 40;
const eyebrowHeight = 5;
const eyebrowYoffset = 40;

const eyesG = g
			.append('g')
				.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
			.append('circle')
				.attr('r', eyeRadius)
  			.attr('cx', -eyeSpacing)
				.attr('fill', 'black');

const rightEye = eyesG
			.append('circle')
				.attr('r', eyeRadius)
  			.attr('cx', +eyeSpacing)
				.attr('fill', 'black');

const leftEyebrow = eyesG
			.append('rect')
				.attr('x', -eyeSpacing - eyebrowWidth/2)
				.attr('y', -eyebrowYoffset)
				.attr('width', eyebrowWidth)
				.attr('height', eyebrowHeight)
			.transition().duration(2000)
				.attr('y', eyebrowYoffset - 90);

const rightEyebrow = eyesG
			.append('rect')
				.attr('x', eyeSpacing - eyebrowWidth/2)
				.attr('y', -eyebrowYoffset)
				.attr('width', eyebrowWidth)
				.attr('height', eyebrowHeight);

const mouth = g
			.append('path')
				.attr('d', arc()({
  						innerRadius: 150,
  						outerRadius: 170,
  						startAngle: Math.PI* 0.6,
  						endAngle: Math.PI * 1.4
						}));
  													